source: trunk/dports/aqua/iTerm2/Portfile @ 113174

Last change on this file since 113174 was 112262, checked in by ryandesign@…, 6 years ago

iTerm2: update to 1.0.0.20130811; new maintainer emer.net:emer (#40778)

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 1.4 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 112262 2013-10-16 05:32:39Z ryandesign@macports.org $
3
4PortSystem  1.0
5PortGroup   github 1.0
6PortGroup   xcode 1.0
7
8github.setup gnachman iTerm2 1.0.0.20130811 v
9categories  aqua shells
10maintainers emer.net:emer
11license         GPL-2+
12description Enhanced terminal emulator program, successor to iTerm
13long_description    \
14    iTerm2 is a replacement for Terminal and the successor to iTerm. Its focus is on \
15    performance, internationalization, and supporting innovative features \
16    that make your life better.
17
18homepage        http://www.iterm2.com/
19
20checksums       rmd160  166bce10474465288f06f20e61482d303d56cea3 \
21                sha256  682cafc2f88675bf9a2ef5d988fabe84ae936aece958d1bc23c4664840fc3033
22
23xcode.project   iTerm.xcodeproj
24xcode.target    iTerm
25
26post-patch {
27    reinplace "s|^version *= *.*$|version = \"${version}\"|" ${worksrcpath}/updateVersion.py
28    # disable Sparkle autoupdate
29    reinplace "s|.*Sparkle.*||g" ${worksrcpath}/${xcode.project}/project.pbxproj
30}
31
32destroot {
33    file copy ${build.dir}/build/Deployment/iTerm.app \
34        ${destroot}${applications_dir}/${name}.app
35}
36
37if {${os.platform} eq "darwin" && ${os.major} < 11} {
38    pre-fetch {
39        ui_error "${name} requires OS X 10.7 or newer"
40        return -code error "unsupported OS X version"
41    }
42}
Note: See TracBrowser for help on using the repository browser.